package com.bcb.master.ui

import android.os.Bundle
import android.view.View
import com.bcb.master.R
import com.bcb.master.clicke.BaseClickToPagerUtils
import kotlinx.android.synthetic.main.activity_feedback_detail.*
import kotlinx.android.synthetic.main.activity_title_white.*

class FeedbackDetailActivity :BaseActivity(),View.OnClickListener{


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_feedback_detail)
        initView()
    }

    private fun initView() {
        tv_title.setText("常见问题")
        iv_back.setOnClickListener(this)
        val stringExtra = intent.getStringExtra("title")
        val datares = intent.getIntExtra("datares", 0)
        if(getString(datares).startsWith("http"))
        {
            tv_question_data.setOnClickListener{
                BaseClickToPagerUtils(this,getString(datares)).onClick(null)
            }
        }
        tv_question_title.setText(stringExtra)
        tv_question_data.setText(resources.getString(datares))
    }

    override fun onClick(v: View?) {
        when(v!!.id){
            R.id.iv_back->{
                finish()
            }
        }
    }
}