package com.bcb.master.ui

import android.os.Bundle
import android.support.v4.app.Fragment
import android.support.v4.view.ViewPager
import android.view.LayoutInflater
import android.view.LayoutInflater.*
import android.view.View
import android.view.ViewGroup
import com.bcb.master.R
import com.bcb.master.adapter.FragmentViewPagerAdapter
import com.bcb.master.fragment.LazyFragment
import com.bcb.master.fragment.QuestionListFragment
import kotlinx.android.synthetic.main.activity_title_white.*
import kotlinx.android.synthetic.main.fragment_txt_answer_list.*
import java.util.ArrayList

class QuestionTxtAnswerList : LazyFragment() ,View.OnClickListener{
    private var adapter:FragmentViewPagerAdapter? = null

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        var view = from(context).inflate(R.layout.fragment_txt_answer_list, null)
        return view
    }

    private fun initView() {
        tv_history1.setOnClickListener(this)
        tv_history2.setOnClickListener(this)
        tv_history3.setOnClickListener(this)
        tv_history4.setOnClickListener(this)
        tv_history5.setOnClickListener(this)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        initView()
        initData()
    }
    private fun initData() {
        var list = ArrayList<Fragment>()

        var list1 = QuestionListFragment()
        list1.setPhase("5")
        var list2 = QuestionListFragment()
        list2.setPhase("1")
        var list3 = QuestionListFragment()
        list3.setPhase("6")
        var list4 = QuestionListFragment()
        list4.setPhase("3")
        var list5 = QuestionListFragment()
        list5.setPhase("7")
        list.add(list1)
        list.add(list2)
        list.add(list3)
        list.add(list4)
        list.add(list5)
        tv_history1.isSelected=true
        adapter = FragmentViewPagerAdapter(activity!!.supportFragmentManager,vp_content,list)
        vp_content.addOnPageChangeListener(object : ViewPager.OnPageChangeListener{
            override fun onPageScrollStateChanged(state: Int) {
            }

            override fun onPageScrolled(position: Int, positionOffset: Float, positionOffsetPixels: Int) {
                changeTopState(position)
            }

            override fun onPageSelected(position: Int) {
            }

        })

    }

    private fun changeTopState(position: Int) {
        when (position) {
            0->{
                tv_history1.isSelected = true
                tv_history2.isSelected = false
                tv_history3.isSelected = false
                tv_history4.isSelected = false
                tv_history5.isSelected = false

            }
            1 -> {
                tv_history1.isSelected = false
                tv_history2.isSelected = true
                tv_history3.isSelected = false
                tv_history4.isSelected = false
                tv_history5.isSelected = false

            }
            2 -> {
                tv_history1.isSelected = false
                tv_history2.isSelected = false
                tv_history3.isSelected = true
                tv_history4.isSelected = false
                tv_history5.isSelected = false

            }
            3 -> {
                tv_history1.isSelected = false
                tv_history2.isSelected = false
                tv_history3.isSelected = false
                tv_history4.isSelected = true
                tv_history5.isSelected = false

            }
            4 -> {
                tv_history1.isSelected = false
                tv_history2.isSelected = false
                tv_history3.isSelected = false
                tv_history4.isSelected = false
                tv_history5.isSelected = true
            }
        }
    }

    override fun onClick(v: View?) {
        when(v?.id)
        {
            R.id.tv_history1->{
                changeTopState(0)
                vp_content.setCurrentItem(0,false)
            }
            R.id.tv_history2 ->{
                changeTopState(1)
                vp_content.setCurrentItem(1,false)
            }
            R.id.tv_history3 ->{
                changeTopState(2)
                vp_content.setCurrentItem(2,false)
            }
            R.id.tv_history4 ->{
                changeTopState(3)
                vp_content.setCurrentItem(3,false)
            }
            R.id.tv_history5 ->{
                changeTopState(4)
                vp_content.setCurrentItem(4,false)
            }

        }

    }
    override fun lazyLoad() {

    }

}